%define version 0.5.0

Name: hd2u
Version: %{version}
Release: 1
Summary: Converts DOS like EOLs to UNIX style EOLs and vice versa.
Copyright: GPL
Group: Utilities/Text
Vendor: Peter Hanecak <hanecak@megaloman.com>
Provides: dos2unix
Obsoletes: dos2unix

Source: %{name}-%{version}.tgz
BuildRoot: /var/tmp/%{name}-root

%description
hd2u is "Hany's Dos2Unix convertor". It provides 'dos2unix'.

'dos2unix' is filter used to convert DOS like EOLs to UNIX like EOLs and vice
versa (EOL - End Of Line character).

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
make install BUILD_ROOT="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/dos2unix
%doc AUTHORS COPYING ChangeLog INSTALL README TODO

%changelog
* Thu Nov 25 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.5.0]
- renamed package to 'hd2u' to avoid conflicts with alredy existing
  dos2unix package(s) (is 'hd2u' original enought? :)
- moved binary to '/usr/bin'
- added some documentation
- first public release

* Thu Oct 21 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.5.0]
- speed optimisation

* Thu Oct 21 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.4.0]
- coversion of file(s) specified as command line parameters

* Tue Oct 19 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.3.0]
- getopt used to process parameters
- help displayed when incorect options

* Sun Sep 26 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.3.0]

* Fri Mar 26 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.2.0]
- initial spec
